A Destroyer is a courageous Orc Fighter who carries huge swords and axes at the front line, they are an advanced model of an Raider. They normally carry huge weapons and slay through great numbers of enemies. They usually use polearms during fights with numerous opponents, but they do not succumb during 1 on 1 duels either.
Their basic skills support them to use polearms, swords and clubs. They also have a skill which will increase their offense and defense, if they are in an emergency.
To be a Destroyer, your level must be over 40 and you need to collect the Mark of the Challenger, the Mark of Glory, and the Mark of the Champion.
Ask about marks.
Return